
/* HERO IMG */
.hero{
    position: relative;

    /* border: 2px solid green; */
}

.hero-img-mob{
    width: 100%;
    height: auto;
    /* opacity: .45; */
    filter: brightness(.85);
    display: block;
    
    -webkit-animation: opacity-600 3s ease-out;
    animation: opacity-600 3s ease-out;

    /* border: 5px solid red; */
}

.hero-card{
    position: absolute;
    bottom: 7%;
    /* padding: 2rem; */
    margin-left: 3rem;

    /* border: 2px solid magenta; */
}

@media (min-width:560px) {
    
    .hero-img-mob{
        content: url(/Assets/designPage/designPageBg-webSat.jpg);
    }

    .hero-card{
        margin-left: 4rem;
        margin-bottom: 2vw;
        transform-origin: left;
        transform: scale(1.2);
        bottom: 3%;
        
    }
}


@keyframes opacity-600 {
    from{opacity: 0;}
    to{opacity: 1;}
    
}

@-webkit-keyframes opacity-600 {
    from{opacity: 0;}
    to{opacity: 1;}
    
}



.the{
    font-size: 1rem;
    letter-spacing: 4px;
    opacity: 0;
    -webkit-animation: opacity 3s 5s ease-out forwards;
    animation: opacity 3s 5s ease-out forwards;
    

    /* border: 2px solid blue; */
}



@keyframes opacity {
    from{opacity: 0;}
    to{opacity: .25;}
    
}

@-webkit-keyframes opacity {
    from{opacity: 0;}
    to{opacity: .25;}
    
}


/* SVG AND ANIMATION */


svg{
    fill: none;
    stroke: azure;
    stroke-dasharray: 102%;
    stroke-dashoffset: 0%;
    stroke-width: 2px;
    /* animation: stroke 5s 1s ease-out; */
    width: 50%;
    height: auto;
    position: relative;
    left: -5.85%;
    -webkit-animation: opacity-600 1.5s 2s ease backwards;
    animation: opacity-600 1.5s 2s ease backwards;
    


}

path{
    fill-opacity: 1;
    -webkit-animation: stroke 5s 2s ease-out; 
    -webkit-animation-fill-mode: backwards;
    animation: stroke 5s 2s ease-out; 
    animation-fill-mode: backwards;
    
    

}

@keyframes stroke {
    0%{
        stroke-dasharray: 100%;
        stroke-dashoffset: 100%;
        fill-opacity: 0;
    }
    50%{
        stroke-dashoffset: 0%;
        fill-opacity: 0;
    }
    100%{
        stroke-dashoffset: 0%;
        fill-opacity: 1;
    }
}
    
@-webkit-keyframes stroke {
     0%{
        stroke-dasharray: 100%;
        stroke-dashoffset: 100%;
        fill-opacity: 0; 
    }
    50%{
        stroke-dashoffset: 0%;
        fill-opacity: 0;
        }
    100%{
        stroke-dashoffset: 0%;
        fill-opacity: 1;
    }
    }
    

/* SVG END */


/* GALLERY START */

.gallery-head{
    width: min(100vw,1200px);
    margin: auto;
    display: flex;
    padding-inline: 1rem;
    padding-block: 2rem;
    margin-top: 1rem;

    /* border: 2PX solid green; */
}

.gallery-head .deco{
    width: 10px;
    margin-right: 1rem;
    background-color: var(--p_white);
}

.gallery-head h2{
    font-size: 1.7rem;
    letter-spacing: 1.6px;
}

.grid-container{
    display:flex;
    justify-content: center;
    align-items: center;
    /* width: min(100%,1200px); */

    /* border: 2px solid red; */
}

.grid-wrapper{
    width: 100%;
    padding: 1rem;
    display: grid;
    gap: .7rem;
    grid-template-columns: repeat(auto-fit,minmax(180px,1fr));
    grid-auto-rows: min(200px,100vw);
    grid-auto-flow: dense;

    /* border: 2px solid cyan; */
}

.grid-wrapper img{
    max-width: 100%;
    vertical-align: middle;
    display: inline-block;
    width: 100%;
    height: 100%;
    transition: .3s ease-out;
    object-fit: cover;
    border-radius: 5px;
    /* border: 2px solid #ffffff34; */

}

.grid-wrapper img:hover, 
.grid-wrapper img:active{
    box-shadow: 3px 4px #ffffff15;
    transform: translateY(-3px);

}

.card-tall{
    grid-row: span 2 / auto;
}

.card-big{
    grid-column: span 2 / auto;
    grid-row: span 2 / auto; 
}

@media screen and (min-width: 560px)  {
    
    .card-wide{
        grid-column: span 2 / auto;
    }

    /* .card-bada{
        grid-column: span 3 / auto;
        grid-row: span 3 / auto; 
    } */
        
}



/* GALLERY END */



/* INFO CARD */
.info{
    display: none;
    
    position:fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: min(80vw,640px);
    transition: .3s ease-out;

    /* border: 2px solid red; */
}

.info-block{
    padding: 2rem;
    -webkit-backdrop-filter: blur(45px) brightness(.55);
    backdrop-filter: blur(45px) brightness(.55);
    border-radius: 5px;
    position:relative;
    

}

.info-block div{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom:.5rem;
 
}

.info-block button{
    border: none;
    background-color: transparent;
    color: var(--p_white);
    font-size: 1.4rem;
    opacity: .6;
    

    
}

.info-block p{
    text-align: justify;
}

.info-block .link{
    /* border: 2px solid salmon; */
    display: block;
    margin-top: 1rem;
    font-size: .8rem;
    padding: .4rem;
    border-radius: 3px;
    font-family: tommy;
    letter-spacing: 1px;
    background-color: #ffffff47;
    color: white;
}

.info-block .link:hover{
    
    text-shadow: 2px 2px var(--p_black);
}

